%global modname fmn.consumer

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 %{__python}}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:               python-fmn-consumer
Version:            0.3.0
Release:            1%{?dist}
Summary:            Backend worker daemon for Fedora Notifications

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/fmn.consumer
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-nose

BuildRequires:      fedmsg
BuildRequires:      python-twisted-words
BuildRequires:      python-fmn-lib
BuildRequires:      python-requests
BuildRequires:      python-arrow

Requires:           fedmsg
Requires:           python-twisted-words
Requires:           python-fmn-lib
Requires:           python-requests
Requires:           python-arrow

%description
fmn is a family of systems to manage end-user notifications triggered by
fedmsg, the Fedora FEDerated MESsage bus.

This module contains the backend worker daemon for Fedora Notifications.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py test

%files
%doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
%{python2_sitelib}/fmn/consumer/
%{python2_sitelib}/%{modname}-%{version}*

%changelog
* Mon Sep 15 2014 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- Nip time deltas from the future.  They are due to clock skew.
- Make new users active by default.
- Lock the cache on preference update.
- Allow group maintainers of packages.

* Wed Jul 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.7-1
- Latest upstream with a typofix to 0.2.6.

* Wed Jul 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.6-1
- Latest upstream.

* Wed Jun 11 2014 Ralph Bean <rbean@redhat.com> - 0.2.5-1
- Latest upstream.
- Switches caching mechanism back to user-centric.
- Attempts to invalidate cache more intelligently.

* Tue Jun 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.4-2
- Require python-twisted-words.

* Tue Jun 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.4-1
- Latest upstream.
- Add dep on python-arrow.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- Upstream release.

* Mon Jan 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- Upstream release with android enhancements.

* Thu Jan 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- Upstream release with a cosmetic tweak.

* Wed Jan 22 2014 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Upstream release

* Tue Dec 03 2013 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- initial package for Fedora
